"""
Vocabulary of all possible reaction generation actions
"""

# Found on Maxus092 and USPTO-50k train+valid
DEFAULT_ACTION_VOCABULARY = [
    ('change_atom', (1, 0, 0, 0)),
    ('change_atom', (0, 0, 1, 1)),
    ('change_atom', (-1, 0, 0, 0)),
    ('change_atom', (0, 0, 0, 0)),
    ('change_atom', (0, 1, 1, 0)),
    ('change_atom', (0, 1, 0, 0)),
    ('change_atom', (1, 0, 0, 1)),
    ('change_atom', (0, 0, 1, 0)),
    ('change_atom', (-1, 0, 0, 1)),
    ('change_atom', (0, 0, 0, 1)),
    ('change_atom', (0, 2, 0, 0)),
    ('change_atom', (1, 0, 1, 0)),
    ('change_atom', (0, 2, 1, 0)),
    ('change_atom', (3, 0, 0, 0)),
    ('change_atom', (1, 0, 1, 1)),
    ('change_bond', (2, 2)),
    ('change_bond', (2, 3)),
    ('change_bond', (2, 0)),
    ('change_bond', (1, 0)),
    ('change_bond', (12, 0)),
    ('change_bond', (3, 0)),
    ('change_bond', (None, None)),
    ('add_atom', ((1, 0), (14, 0, 0, 0, 0))),
    ('add_atom', ((2, 0), (7, -1, 0, 0, 0))),
    ('add_atom', ((2, 0), (16, 0, 0, 1, 0))),
    ('add_atom', ((2, 0), (16, 0, 1, 0, 0))),
    ('add_atom', ((1, 0), (7, 0, 0, 0, 1))),
    ('add_atom', ((1, 0), (12, 1, 0, 0, 0))),
    ('add_atom', ((1, 0), (9, 0, 0, 0, 0))),
    ('add_atom', ((3, 0), (7, 0, 0, 0, 0))),
    ('add_atom', ((1, 0), (15, 0, 0, 1, 0))),
    ('add_atom', ((12, 0), (8, 0, 0, 0, 1))),
    ('add_atom', ((1, 0), (83, 0, 0, 0, 0))),
    ('add_atom', ((1, 0), (34, 0, 0, 0, 0))),
    ('add_atom', ((2, 0), (15, 1, 0, 0, 0))),
    ('add_atom', ((2, 0), (50, 0, 0, 0, 0))),
    ('add_atom', ((2, 2), (7, 0, 0, 0, 0))),
    ('add_atom', ((1, 0), (16, -1, 0, 0, 0))),
    ('add_atom', ((1, 0), (35, 0, 0, 0, 0))),
    ('add_atom', ((1, 0), (8, 1, 0, 0, 0))),
    ('add_atom', ((1, 0), (13, 1, 0, 0, 0))),
    ('add_atom', ((1, 0), (15, 0, 0, 0, 0))),
    ('add_atom', ((1, 0), (15, 0, 0, 0, 1))),
    ('add_atom', ((2, 0), (6, 0, 0, 0, 0))),
    ('add_atom', ((3, 0), (6, 0, 0, 0, 0))),
    ('add_atom', ((2, 0), (5, 0, 0, 0, 0))),
    ('add_atom', ((1, 0), (82, 3, 0, 0, 0))),
    ('add_atom', ((1, 0), (30, 1, 0, 0, 0))),
    ('add_atom', ((1, 0), (13, -1, 0, 0, 0))),
    ('add_atom', ((1, 0), (8, -1, 0, 0, 0))),
    ('add_atom', ((3, 0), (6, -1, 0, 0, 0))),
    ('add_atom', ((2, 0), (6, 0, 0, 0, 1))),
    ('add_atom', ((1, 0), (6, 0, 2, 0, 0))),
    ('add_atom', ((1, 0), (5, 2, 0, 0, 0))),
    ('add_atom', ((1, 0), (11, 0, 0, 0, 0))),
    ('add_atom', ((1, 0), (16, 0, 0, 0, 0))),
    ('add_atom', ((12, 0), (16, 0, 0, 0, 1))),
    ('add_atom', ((2, 0), (8, 0, 0, 0, 0))),
    ('add_atom', ((1, 0), (7, -1, 0, 0, 0))),
    ('add_atom', ((1, 0), (7, 1, 0, 0, 1))),
    ('add_atom', ((1, 0), (16, 0, 0, 1, 0))),
    ('add_atom', ((1, 0), (16, 0, 1, 0, 0))),
    ('add_atom', ((1, 0), (33, 1, 0, 0, 0))),
    ('add_atom', ((12, 0), (8, 1, 0, 0, 1))),
    ('add_atom', ((2, 0), (14, 0, 0, 0, 0))),
    ('add_atom', ((1, 0), (17, 0, 0, 0, 0))),
    ('add_atom', ((1, 0), (6, 0, 2, 1, 0))),
    ('add_atom', ((1, 0), (53, 1, 0, 1, 0))),
    ('add_atom', ((1, 0), (6, 0, 0, 0, 1))),
    ('add_atom', ((2, 0), (7, 0, 0, 0, 0))),
    ('add_atom', ((1, 0), (53, 0, 0, 0, 0))),
    ('add_atom', ((1, 0), (16, 0, 2, 0, 0))),
    ('add_atom', ((2, 0), (16, 0, 0, 0, 0))),
    ('add_atom', ((2, 2), (6, 0, 0, 0, 0))),
    ('add_atom', ((1, 0), (6, -1, 0, 0, 0))),
    ('add_atom', ((1, 0), (30, 0, 0, 0, 0))),
    ('add_atom', ((1, 0), (19, 0, 0, 0, 0))),
    ('add_atom', ((1, 0), (16, 1, 0, 0, 0))),
    ('add_atom', ((2, 3), (7, 0, 0, 0, 0))),
    ('add_atom', ((1, 0), (7, 1, 0, 0, 0))),
    ('add_atom', ((2, 3), (6, 0, 0, 0, 0))),
    ('add_atom', ((12, 0), (7, 1, 0, 0, 1))),
    ('add_atom', ((1, 0), (30, 2, 0, 0, 0))),
    ('add_atom', ((1, 0), (5, 0, 0, 0, 0))),
    ('add_atom', ((1, 0), (50, 0, 0, 0, 0))),
    ('add_atom', ((12, 0), (7, 1, 0, 1, 1))),
    ('add_atom', ((12, 0), (7, 0, 0, 1, 1))),
    ('add_atom', ((1, 0), (5, -1, 0, 0, 0))),
    ('add_atom', ((2, 0), (15, 0, 0, 0, 0))),
    ('add_atom', ((12, 0), (16, 1, 0, 0, 1))),
    ('add_atom', ((12, 0), (7, 0, 0, 0, 1))),
    ('add_atom', ((1, 0), (7, 0, 0, 0, 0))),
    ('add_atom', ((1, 0), (14, 0, 2, 0, 0))),
    ('add_atom', ((1, 0), (6, 0, 0, 0, 0))),
    ('add_atom', ((12, 0), (6, 0, 0, 0, 1))),
    ('add_atom', ((1, 0), (6, 0, 1, 1, 0))),
    ('add_atom', ((1, 0), (15, 1, 0, 0, 0))),
    ('add_atom', ((1, 0), (1, 0, 0, 0, 0))),
    ('add_atom', ((2, 0), (7, 1, 0, 0, 0))),
    ('add_atom', ((1, 0), (13, 0, 0, 0, 0))),
    ('add_atom', ((1, 0), (53, 1, 0, 0, 0))),
    ('add_atom', ((1, 0), (12, 0, 0, 0, 0))),
    ('add_atom', ((1, 0), (3, 0, 0, 0, 0))),
    ('add_atom', ((1, 0), (8, 0, 0, 0, 0))),
    ('add_atom', ((1, 0), (6, 0, 1, 0, 0))),
    ('add_atom', ((1, 0), (29, 0, 0, 0, 0))),
    ('add_ring', 'benzene'),
    ('stop', )
]
